Description

SHINY GLOBES FOR KAI GLOBES v2.5 1. Requirements. (a) This optional pack requires you to have downloaded and installed Kai Globes V2.5. 2. Installation. (a) Make sure you still have your copy of Kai Globes 2.5 (b) Copy the data files folder into your ..\Morrowind...